<?php
declare(strict_types=1);

namespace Inti\Wp\Handler;

use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Http\Server\RequestHandlerInterface;
use Laminas\Diactoros\Response\HtmlResponse;
use function defined;
use function ob_end_clean;
use function ob_get_clean;
use function ob_start;
use function wp;

/**
 * Class WordPressHandler
 *
 * @package Inti\Wp
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp
 */
final class Wp implements RequestHandlerInterface
{
    /**
     * Handles a request and produces a response.
     *
     * May call other collaborating code to generate the response.
     *
     * @param ServerRequestInterface $request
     * @return ResponseInterface
     */
    public function handle(ServerRequestInterface $request): ResponseInterface
    {
        if (defined('WP_USE_THEMES') && WP_USE_THEMES === true) {
            ob_start();

            wp();
            require_once ABSPATH . 'wp-includes/template-loader.php';

            $content = ob_get_clean();
            ob_end_clean();
        }

        return new HtmlResponse($content ?? '');
    }
}
