<?php
declare(strict_types=1);

namespace Inti\Wp\Middleware;

use Inti\Wp\Plugin\PluginLoader;
use Inti\Wp\Shortcode\ShortcodeLoader;
use Psr\Container\ContainerInterface;
use Psr\Http\Server\MiddlewareInterface;

/**
 * Class WordPressMiddlewareFactory
 *
 * @package Inti\Wp
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp
 */
final class WpBootstrapFactory
{
    /**
     * @param ContainerInterface $container
     * @return MiddlewareInterface
     */
    public function __invoke(ContainerInterface $container): MiddlewareInterface
    {
        $config = $container->get('config');
        /** @var PluginLoader $pluginLoader */
        $pluginLoader = $container->get('PluginLoader');
        /** @var ShortcodeLoader $shortcodeLoader */
        $shortcodeLoader = $container->get('ShortcodeLoader');

        return new WpBootstrap($config, $pluginLoader, $shortcodeLoader);
    }
}
