<?php
declare(strict_types=1);

namespace Inti\Wp\Plugin\Core;

use Inti\Wp\Plugin\PluginInterface;
use function remove_action;

/**
 * Class DefaultFilters
 *
 * @package Inti\Wp\Plugin\Core
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp
 */
final class DefaultFilters implements PluginInterface
{
    public function attach(): void
    {
        // REST API filters.
        remove_action('wp_head', 'rest_output_link_wp_head');

        // Actions.
        remove_action('wp_head', 'feed_links', 2);
        remove_action('wp_head', 'feed_links_extra', 3);
        remove_action('wp_head', 'rsd_link');
        remove_action('wp_head', 'wlwmanifest_link');
        remove_action('wp_head', 'print_emoji_detection_script', 7);
        remove_action('wp_head', 'wp_generator');
        remove_action('init', ['WP_Block_Supports', 'init'], 22);
        remove_action('wp_print_styles', 'print_emoji_styles');

        // Script Loader.
        remove_action('wp_enqueue_scripts', 'wp_common_block_scripts_and_styles');

        // Embeds.
        remove_action('wp_head', 'wp_oembed_add_host_js');
    }
}
