<?php
declare(strict_types=1);

namespace Inti\Wp\Plugin\Core;

use Inti\Wp\Plugin\PluginInterface;
use function add_filter;
use function array_filter;
use function preg_match;

/**
 * Class ResourceHints
 *
 * @package Inti\Wp\Plugin\Core
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp
 */
final class ResourceHints implements PluginInterface
{
    public function attach(): void
    {
        add_filter('wp_resource_hints', [$this, 'wp_resource_hints'], 10, 2);
    }

    public function wp_resource_hints(array $urls, string $relation_type): array
    {
        if ($relation_type === 'dns-prefetch') {
            $urls = array_filter($urls, function (string $url) {
                return !preg_match('/emoji/', $url);
            });
        }

        return $urls;
    }
}
