<?php
declare(strict_types=1);

namespace Inti\Wp\Plugin;

/**
 * Class PluginLoader
 *
 * @package Inti\Wp\Plugin
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp
 */
final class PluginLoader implements PluginInterface
{
    private array $plugins;
    private PluginPluginManager $pluginManager;

    public function __construct(array $plugins, PluginPluginManager $pluginManager)
    {
        $this->plugins = $plugins;
        $this->pluginManager = $pluginManager;
    }

    /**
     * Attaches all the plugins.
     */
    public function attach(): void
    {
        $this->pluginManager->get(Core\Assets::class)->attach();
        $this->pluginManager->get(Core\DefaultFilters::class)->attach();
        $this->pluginManager->get(Core\ResourceHints::class)->attach();

        foreach ($this->plugins as $name) {
            $plugin = $this->pluginManager->get($name);
            $plugin->attach();
        }
    }
}
