<?php
declare(strict_types=1);

namespace Inti\Wp\Plugin;

use Psr\Container\ContainerInterface;

/**
 * Class PluginLoaderFactory
 *
 * @package Inti\Wp\Plugin
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp
 */
final class PluginLoaderFactory
{
    /**
     * @param ContainerInterface $container
     * @return PluginLoader
     */
    public function __invoke(ContainerInterface $container): PluginLoader
    {
        $config = $container->get('config');
        /** @var PluginPluginManager $pluginManager */
        $pluginManager = $container->get('PluginManager');

        return new PluginLoader($config['wp']['plugins'] ?? [], $pluginManager);
    }
}
