<?php
/** @noinspection PhpMissingFieldTypeInspection */
declare(strict_types=1);

namespace Inti\Wp\Plugin;

use Laminas\ServiceManager\AbstractPluginManager;
use Laminas\ServiceManager\Factory\InvokableFactory;

/**
 * Class PluginPluginManager
 *
 * @package Inti\Wp\Plugin
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp
 *
 * @method PluginInterface get(string $name)
 */
final class PluginPluginManager extends AbstractPluginManager
{
    /** @var string */
    protected $instanceOf = PluginInterface::class;
    /** @var array<string, string> */
    protected $factories = [
        Core\Assets::class => Core\AssetsFactory::class,
        Core\DefaultFilters::class => InvokableFactory::class,
        Core\ResourceHints::class => InvokableFactory::class,
    ];
}
