<?php
declare(strict_types=1);

namespace Inti\Wp\Plugin;

use Laminas\ServiceManager\PluginManagerInterface;
use Psr\Container\ContainerInterface;

/**
 * Class PluginPluginManagerFactory
 *
 * @package Inti\Wp\Plugin
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp
 */
final class PluginPluginManagerFactory
{
    /**
     * @param ContainerInterface $container
     * @return PluginManagerInterface
     */
    public function __invoke(ContainerInterface $container): PluginManagerInterface
    {
        $config = $container->get('config');
        return new PluginPluginManager($container, $config['wp_plugins'] ?? []);
    }
}
