<?php
declare(strict_types=1);

namespace Inti\Wp\Service;

use Psr\Container\ContainerInterface;
use function file_get_contents;
use function json_decode;

/**
 * Class AssetManifestFactory
 *
 * @package Inti\Wp\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp
 */
final class AssetManifestFactory
{
    /**
     * @param ContainerInterface $container
     * @return array
     * @throws \JsonException
     */
    public function __invoke(ContainerInterface $container): array
    {
        $config = $container->has('config') ? $container->get('config') : [];

        $manifest = file_get_contents($config['wp']['assets']['manifest_path']);
        return json_decode($manifest, true, 512, JSON_THROW_ON_ERROR);
    }
}
