<?php
declare(strict_types=1);

namespace Inti\Wp\Shortcode;

use Psr\Container\ContainerInterface;

/**
 * Class ShortcodeLoaderFactory
 *
 * @package Inti\Wp\Shortcode
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp
 */
final class ShortcodeLoaderFactory
{
    /**
     * @param ContainerInterface $container
     * @return ShortcodeLoader
     */
    public function __invoke(ContainerInterface $container): ShortcodeLoader
    {
        $config = $container->get('config');
        $shortcodes = $container->get('ShortcodeManager');
        return new ShortcodeLoader($config['wp']['shortcodes'], $shortcodes);
    }
}
