<?php
declare(strict_types=1);

namespace Inti\Wp\Shortcode;

use Laminas\ServiceManager\PluginManagerInterface;
use Psr\Container\ContainerInterface;

/**
 * Class ShortcodePluginManagerFactory
 *
 * @package Inti\Wp\Shortcode
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp
 */
final class ShortcodePluginManagerFactory
{
    public function __invoke(ContainerInterface $container): PluginManagerInterface
    {
        $config = $container->get('config');
        return new ShortcodePluginManager($container, $config['wp_shortcodes'] ?? []);
    }
}
